tooltip {
  display: flex;
  align-items: center;
  gap: 0.125rem;
  width: fit-content;

  > svg {
    flex-shrink: 0;
    width: 1rem;
    aspect-ratio: 1;
    color: var(--pricefox-secondary-color);
  }

  > span {
    display: block;
    color: var(--pricefox-secondary-color);
    margin: 0;
  }

  &:hover {

    > span {
      color: var(--pricefox-primary-color);
    }

    > svg {
      color: var(--pricefox-primary-color);
    }

    +.hovered {
      display: flex;
    }
  }
}

tooltip-content {
  display: flex;
  width: 16.25rem;
  height: fit-content;
  padding: 0.75rem;
  border-radius: 0.25rem;
  border: 1px var(--petrol-blue-100) solid;
  background: var(--gray-50);
  position: absolute;
  top: 1.25rem;
  left: 0;
  z-index: 80;

  > p {
    margin: 0;
  }
}

.hovered {
  display: none;
}
